# Enum Class VulkanSamplerAddressMode

java.lang.Object
java.lang.Enum<VulkanSamplerAddressMode>
com.io7m.jcoronado.api.VulkanSamplerAddressMode

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanSamplerAddressMode>`, `Constable`

public enum VulkanSamplerAddressMode extends Enum<VulkanSamplerAddressMode> implements VulkanEnumIntegerType

See Also:
  - "VkSamplerAddressMode"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_SAMPLER_ADDRESS_MODE_CLAMP_TO_BORDER`
  Specifies that the clamp to border wrap mode will be used.
  `VK_SAMPLER_ADDRESS_MODE_CLAMP_TO_EDGE`
  Specifies that the clamp to edge wrap mode will be used.
  `VK_SAMPLER_ADDRESS_MODE_MIRROR_CLAMP_TO_EDGE`
  Specifies that the mirror clamp to edge wrap mode will be used.
  `VK_SAMPLER_ADDRESS_MODE_MIRRORED_REPEAT`
  Specifies that the mirrored repeat wrap mode will be used.
  `VK_SAMPLER_ADDRESS_MODE_REPEAT`
  Specifies that the repeat wrap mode will be used.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanSamplerAddressMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanSamplerAddressMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_SAMPLER_ADDRESS_MODE_REPEAT

    public static final VulkanSamplerAddressMode VK_SAMPLER_ADDRESS_MODE_REPEAT
    Specifies that the repeat wrap mode will be used.

  - ### VK_SAMPLER_ADDRESS_MODE_MIRRORED_REPEAT

    public static final VulkanSamplerAddressMode VK_SAMPLER_ADDRESS_MODE_MIRRORED_REPEAT
    Specifies that the mirrored repeat wrap mode will be used.

  - ### VK_SAMPLER_ADDRESS_MODE_CLAMP_TO_EDGE

    public static final VulkanSamplerAddressMode VK_SAMPLER_ADDRESS_MODE_CLAMP_TO_EDGE
    Specifies that the clamp to edge wrap mode will be used.

  - ### VK_SAMPLER_ADDRESS_MODE_CLAMP_TO_BORDER

    public static final VulkanSamplerAddressMode VK_SAMPLER_ADDRESS_MODE_CLAMP_TO_BORDER
    Specifies that the clamp to border wrap mode will be used.

  - ### VK_SAMPLER_ADDRESS_MODE_MIRROR_CLAMP_TO_EDGE

    public static final VulkanSamplerAddressMode VK_SAMPLER_ADDRESS_MODE_MIRROR_CLAMP_TO_EDGE
    Specifies that the mirror clamp to edge wrap mode will be used.

- ## Method Details

  - ### values

    public static VulkanSamplerAddressMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanSamplerAddressMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant